<template>
  <div id="content-wrap">
    <div class="actions">
      <div id="buttons">
        <button id="new"
        v-on:click="$emit('change-component', 'Parcel'); $emit('string','a')">
          Create New
        </button>
      </div>
    </div>
    <div class="table-wrap">
      <table class="tab">
        <thead>
          <tr>
            <th>Tracking number</th>
            <th>Due_amount</th>
            <th>Weight</th>
            <th>Is_paid</th>
            <th></th>
          </tr>
        </thead>
        <tbody>
          <tr v-for="parcel in parcels" v-bind:key="parcel.id" v-bind:item="parcel">
            <td>{{parcel.trackingId}}</td>
            <td>{{parcel.dueAmount}}</td>
            <td>{{parcel.weigth}}</td>
            <td>{{(parcel.isPayed === 1)?true:false}}</td>
            <td>
              <button v-on:click="modify(parcel.trackingId)">Modify</button>
              <button v-on:click="deleteObj(parcel)">Delete</button>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
</template>

<script>
import axios from 'axios';

export default {
  name: 'parcels',
  data() {
    return {
      parcels: [],
    };
  },
  mounted() {
    this.get();
  },
  methods: {
    get() {
      axios.get('http://localhost:4000/api/parcels').then(
        (result) => {
          this.parcels = result.data;
        },
      ).catch((error) => {
        console.log(error);
      });
    },
    modify(parcel) {
      this.$emit('change-component', 'Parcel');
      this.$emit('string', parcel);
      console.log(parcel);
    },
    deleteObj(parcel) {
      const url = `http://localhost:4000/api/parcels/${parcel.trackingId}`;
      axios.delete(url).then(
        (result) => {
          if (result) { this.get(); }
        },
      ).catch((error) => {
        console.log(error);
      });
    },
  },
};
</script>

<style scoped>
@import "../CSS/Managment.css";
</style>
